<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "fix_car_sn".
 *
 * @property integer $id
 * @property string $sn
 * @property string $created_at
 * @property string $updated_at
 */
class FixCarSn extends \common\models\Base
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'fix_car_sn';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['sn'], 'required'],
            [['created_at', 'updated_at'], 'safe'],
            [['sn'], 'string', 'max' => 18],
            [['sn'], 'unique'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'sn' => 'Sn',
            'created_at' => 'Created At',
            'updated_at' => 'Updated At',
        ];
    }
}
